dartsteem 1.0.1

  • README.md
  • Installing
  • Versions
  • 1

swagger

Interactive Steem API lets you interact with Steem Blockchain and make a request, get output and start implementing new apps! APIs have default parameters set to get you started and see how request works. API list is compiled from Steem Github 1 and 2. If you want to contribute documenting detail of properties and output, contact @good-karma. You can also check full list here Steem.js

This Dart package is automatically generated by the Swagger Codegen project:

  • API version: 1.0.0
  • Build package: io.swagger.codegen.languages.DartClientCodegen

Requirements

Dart 1.20.0 and later

Installation & Usage

Github

If this Dart package is published to Github, please include the following in pubspec.yaml

name: swagger
version: 1.0.0
description: Swagger API client
dependencies:
  swagger:
    git: https://github.com/GIT_USER_ID/GIT_REPO_ID.git
      version: 'any'

Local

To use the package in your local drive, please include the following in pubspec.yaml

dependencies:
  swagger:
    path: /path/to/swagger

Tests

TODO

Getting Started

Please follow the installation procedure and then run the following:

import 'package:swagger/api.dart';


var api_instance = new AccountApi();
var account = account_example; // String | account name.
var bandwidthType = bandwidthType_example; // String | bandwidthType.

try {
    var result = api_instance.getAccountBandwidthGet(account, bandwidthType);
    print(result);
} catch (e) {
    print("Exception when calling AccountApi->getAccountBandwidthGet: $e\n");
}

Documentation for API Endpoints

All URIs are relative to https://api.steemjs.com

ClassMethodHTTP requestDescription
AccountApigetAccountBandwidthGetGET /get_account_bandwidthget_account_bandwidth
AccountApigetAccountHistoryGetGET /get_account_historyAccount history
AccountApigetAccountVotesGetGET /get_account_votesget_account_votes
AccountApigetAccountsGetGET /get_accountsAccount
AccountApigetConversionRequestsGetGET /get_conversion_requestsget conversation
AccountApigetEscrowGetGET /get_escrowget_escrow
AccountApigetFollowCountGetGET /get_follow_countget_follow_count
AccountApigetFollowersGetGET /get_followersget_followers
AccountApigetFollowingGetGET /get_followingget_following
AccountApigetRecoveryRequestGetGET /get_recovery_requestget_recovery_request
AccountApigetSavingsWithdrawFromGetGET /get_savings_withdraw_fromget_savings_withdraw_from
AccountApigetSavingsWithdrawToGetGET /get_savings_withdraw_toget_savings_withdraw_to
AccountApigetStateGetGET /get_stateget_state
AccountApigetWithdrawRoutesGetGET /get_withdraw_routesget_withdraw_routes
AccountApilookupAccountNamesGetGET /lookup_account_nameslookup_account_names
AccountApilookupAccountsGetGET /lookup_accountslookup_accounts
ChainApigetAccountCountGetGET /get_account_countnumber of accounts
ChainApigetChainPropertiesGetGET /get_chain_propertiesget chain properties
ChainApigetConfigGetGET /get_configget config
ChainApigetCurrentMedianHistoryPriceGetGET /get_current_median_history_priceget_current_median_history_price
ChainApigetDynamicGlobalPropertiesGetGET /get_dynamic_global_propertiesget_dynamic_global_properties
ChainApigetFeedHistoryGetGET /get_feed_historyget_feed_history
ChainApigetHardforkVersionGetGET /get_hardfork_versionget_hardfork_version
ChainApigetNextScheduledHardforkGetGET /get_next_scheduled_hardforkget_next_scheduled_hardfork
ChainApigetVersionGetGET /get_versionget version of Steem
MarketApigetLiquidityQueueGetGET /get_liquidity_queueget_liquidity_queue
MarketApigetOpenOrdersGetGET /get_open_ordersget_open_orders
MarketApigetOrderBookGetGET /get_order_bookget_order_book
MarketApigetOwnerHistoryGetGET /get_owner_historyget_owner_history
NetworkApibroadcastBlockGetGET /broadcast_blockbroadcast_block
NetworkApibroadcastTransactionGetGET /broadcast_transactionbroadcast_transaction
NetworkApibroadcastTransactionSynchronousGetGET /broadcast_transaction_synchronousbroadcast_transaction_synchronous
NetworkApibroadcastTransactionWithCallbackGetGET /broadcast_transaction_with_callbackWARNING: can only be used in Steem node or in scripts broadcast_transaction_with_callback
NetworkApicancelAllSubscriptionsGetGET /cancel_all_subscriptionsWARNING: can only be used in Steem node or in scripts cancel_all_subscriptions
NetworkApigetApiByNameGetGET /get_api_by_nameget_api_by_name
NetworkApigetBlockGetGET /get_blockget block
NetworkApigetBlockHeaderGetGET /get_block_headerget block header
NetworkApigetKeyReferencesGetGET /get_key_referencesget_key_references
NetworkApigetOpsInBlockGetGET /get_ops_in_blockget_ops_in_block
NetworkApigetPotentialSignaturesGetGET /get_potential_signaturesget_potential_signatures
NetworkApigetRequiredSignaturesGetGET /get_required_signaturesget_required_signatures
NetworkApigetTransactionGetGET /get_transactionget_transaction
NetworkApigetTransactionHexGetGET /get_transaction_hexget_transaction_hex
NetworkApisetBlockAppliedCallbackGetGET /set_block_applied_callbackWARNING: can only be used in Steem node or in scripts set_block_applied_callback
NetworkApisetMaxBlockAgeGetGET /set_max_block_ageWARNING: can only be used in Steem node or in scripts set_max_block_age
NetworkApisetPendingTransactionCallbackGetGET /set_pending_transaction_callbackWARNING: can only be used in Steem node or in scripts set_pending_transaction_callback
NetworkApisetSubscribeCallbackGetGET /set_subscribe_callbackWARNING: can only be used in Steem node or in scripts set_subscribe_callback
NetworkApiverifyAccountAuthorityGetGET /verify_account_authorityverify_account_authority
NetworkApiverifyAuthorityGetGET /verify_authorityverify_authority
PostApigetActiveVotesGetGET /get_active_votesget_active_votes
PostApigetContentGetGET /get_contentget content
PostApigetContentRepliesGetGET /get_content_repliesget content replies
PostApigetDiscussionsByActiveGetGET /get_discussions_by_activeget discussions
PostApigetDiscussionsByAuthorBeforeDateGetGET /get_discussions_by_author_before_dateget_discussions_by_author_before_date
PostApigetDiscussionsByBlogGetGET /get_discussions_by_blogget discussions
PostApigetDiscussionsByCashoutGetGET /get_discussions_by_cashoutget discussions
PostApigetDiscussionsByChildrenGetGET /get_discussions_by_childrenget discussions
PostApigetDiscussionsByCommentsGetGET /get_discussions_by_commentsget discussions
PostApigetDiscussionsByCreatedGetGET /get_discussions_by_createdget discussions
PostApigetDiscussionsByFeedGetGET /get_discussions_by_feedget discussions
PostApigetDiscussionsByHotGetGET /get_discussions_by_hotget discussions
PostApigetDiscussionsByPayoutGetGET /get_discussions_by_payoutget discussions
PostApigetDiscussionsByPromotedGetGET /get_discussions_by_promotedget discussions
PostApigetDiscussionsByTrending30GetGET /get_discussions_by_trending30get discussions
PostApigetDiscussionsByTrendingGetGET /get_discussions_by_trendingget discussions
PostApigetDiscussionsByVotesGetGET /get_discussions_by_votesget discussions
PostApigetRepliesByLastUpdateGetGET /get_replies_by_last_updateget_replies_by_last_update
PostApigetStateGetGET /get_stateget_state
TagsApigetActiveCategoriesGetGET /get_active_categoriesget active categories
TagsApigetBestCategoriesGetGET /get_best_categoriesget best categories
TagsApigetRecentCategoriesGetGET /get_recent_categoriesget recent categories
TagsApigetTrendingCategoriesGetGET /get_trending_categoriesget trending categories
TagsApigetTrendingTagsGetGET /get_trending_tagsget trending categories
WitnessApigetActiveWitnessesGetGET /get_active_witnessesget_active_witnesses
WitnessApigetMinerQueueGetGET /get_miner_queueget_miner_queue
WitnessApigetWitnessByAccountGetGET /get_witness_by_accountget_witness_by_account
WitnessApigetWitnessCountGetGET /get_witness_countget_witness_count
WitnessApigetWitnessScheduleGetGET /get_witness_scheduleget_witness_schedule
WitnessApigetWitnessesByVoteGetGET /get_witnesses_by_voteget_witnesses_by_vote
WitnessApigetWitnessesGetGET /get_witnessesget_witnesses
WitnessApilookupWitnessAccountsGetGET /lookup_witness_accountslookup_witness_accounts

Documentation For Models

Documentation For Authorization

All endpoints do not require authorization.

Author

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  dartsteem: "^1.0.1"

2. Install it

You can install packages from the command line:

with pub:


$ pub get

Alternatively, your editor might support pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


      import 'package:dartsteem/api.dart';

      import 'package:dartsteem/api_helper.dart';

      import 'package:dartsteem/api_exception.dart';

      import 'package:dartsteem/api_client.dart';
  
Version Uploaded Documentation Archive
1.0.1 Mar 21, 2017 Go to the documentation of dartsteem 1.0.1 Download dartsteem 1.0.1 archive
1.0.0 Mar 17, 2017 Go to the documentation of dartsteem 1.0.0 Download dartsteem 1.0.0 archive

Analysis

We analyzed this package on Jun 22, 2018, and provided a score, details, and suggestions below. Analysis was completed with status tool failures using:

  • Dart: 2.0.0-dev.63.0
  • pana: 0.11.3

Scores

Popularity:
Describes how popular the package is relative to other packages. [more]
0 / 100
Health:
Code health derived from static analysis. [more]
3 / 100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
0 / 100
Overall score:
Weighted score of the above. [more]
1
Learn more about scoring.

Platforms

Detected platforms: unsure

Error(s) prevent platform classification:

Make sure dartfmt runs.

Suggestions

  • Make sure dartfmt runs.

    Running dartfmt -n . failed with the following output:

    dartfmt on lib/ failed with exit code 255
    Unhandled exception:
    type 'SubListIterable<AnalysisError>' is not a subtype of type 'List<AnalysisError>'
    #0      FormatterException.message (package:dart_style/src/exceptions.dart:26:50)
    #1      processFile (package:dart_style/src/io.dart:83:24)
    #2      processDirectory (package:dart_style/src/io.dart:58:10)
    #3      formatPaths (file:///tmp/tmpaawQIb/dart-2.0.0-dev.63.0/dart/third_party/pkg_tested/dart_style/bin/format.dart:221:12)
    #4      main (file:///tmp/tmpaawQIb/dart-2.0.0-dev.63.0/dart/third_party/pkg_tested/dart_style/bin/format.dart:159:5)
    #5      _startIsolate.<anonymous closure> (dart:isolate/runtime/libisolate_patch.dart:277:32)
    #6      _RawReceivePortImpl._handleMessage (dart:isolate/runtime/libisolate_patch.dart:165:12)
    
  • Fix platform conflicts.

    Error(s) prevent platform classification:

    Make sure dartfmt runs.

  • Maintain CHANGELOG.md.

    Changelog entries help clients to follow the progress in your code.

  • Fix analysis and formatting issues.

    Analysis or formatting checks reported 586 errors 25 hints.

    Make sure that the imported libraries are not in conflict. Error(s) in lib/api/post_api.dart: Local variable 'path' can't be referenced before it is declared.

    Make sure that the imported libraries are not in conflict. Error(s) in lib/api/account_api.dart: Expected a class member.

    Similar analysis of the following files failed:

    • lib/api/chain_api.dart (error)
    • lib/api/market_api.dart (error)
    • lib/api/network_api.dart (error)
    • lib/api/tags_api.dart (error)
    • lib/api/witness_api.dart (error)
    • lib/api_client.dart (error)
    • lib/api_helper.dart (error)
    • lib/auth/api_key_auth.dart (error)
    • lib/auth/authentication.dart (error)
    • lib/auth/http_basic_auth.dart (error)
    • lib/auth/oauth.dart (error)
    • lib/api.dart (hint)
    • lib/api_exception.dart (hint)
    • lib/model/_.dart (hint)
    • lib/model/accounts.dart (hint)
    • lib/model/error.dart (hint)
    • lib/model/get_account_count.dart (hint)
    • lib/model/get_version.dart (hint)
  • Package is getting outdated.

    The package was released 65 weeks ago.

  • The description is too short.

    Add more detail about the package, what it does and what is its target use case. Try to write at least 60 characters.

  • Maintain an example.

    Create a short demo in the example/ directory to show how to use this package. Common file name patterns include: main.dart, example.dart or you could also use dartsteem.dart.

Dependencies

Package Constraint Resolved Available
Direct dependencies
dartson >=0.2.6 <0.3.0 0.2.7
http >=0.11.3+12 <0.12.0 0.11.3+16
Transitive dependencies
analyzer 0.29.11 0.32.1
args 0.13.7 1.4.3
async 2.0.7
barback 0.15.2+16
charcode 1.1.1
cli_util 0.0.1+2 0.1.3
collection 1.14.10
convert 2.0.1
crypto 2.0.5
csslib 0.14.4
glob 1.1.6
html 0.13.3+1
http_parser 3.1.2
isolate 1.1.0 2.0.1
logging 0.11.3+1
meta 1.1.5
package_config 1.0.3
path 1.6.1
plugin 0.2.0+2
pool 1.3.5
source_maps 0.10.5
source_span 1.4.0
stack_trace 1.9.2
string_scanner 1.0.2
typed_data 1.1.5
utf 0.9.0+4
watcher 0.9.7+8
when 0.2.0
which 0.1.3
yaml 2.1.14
Dev dependencies
browser any
guinness any